> ## Documentation Index
> Fetch the complete documentation index at: https://docs.glider.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Portfolio Automation Trigger

> Manually trigger a portfolio rebalance

Manually triggers a portfolio rebalance.

<ParamField path="portfolioId" type="string" required>
  The unique identifier of the portfolio
</ParamField>

<ParamField body="skipScheduleValidation" type="boolean" default="false">
  Set to true to trigger a rebalance even if no schedule exists
</ParamField>

<ParamField header="X-API-KEY" type="string" required>
  Your API key for authentication
</ParamField>

<ParamField header="Content-Type" type="string" default="application/json">
  The format of the request body
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.glider.fi/v1/portfolio/port_abc123/rebalance/schedule/trigger' \
    --header 'Content-Type: application/json' \
    --header 'X-API-KEY: your_api_key_here' \
    --data '{
      "skipScheduleValidation": false
    }'
  ```

  ```javascript JavaScript theme={null}
  const portfolioId = "port_abc123";
  const triggerResponse = await fetch(
    `https://api.glider.fi/v1/portfolio/${portfolioId}/rebalance/schedule/trigger`,
    {
      method: "POST",
      headers: {
        "Content-Type": "application/json",
        "X-API-KEY": "your_api_key_here",
      },
      body: JSON.stringify({
        skipScheduleValidation: false, // Set to true to auto-create schedules if needed
      }),
    }
  );

  const triggerResult = await triggerResponse.json();
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "success": true,
    "data": {
      "portfolioId": "port_abc123",
      "scheduleId": "sched_abc123",
      "rebalanceId": "rebal_def456",
      "status": "triggered",
      "message": "Portfolio rebalance triggered successfully",
      "triggerTime": 1684734312
    },
    "correlationId": "corr_abc123",
    "requestId": "req_xyz789",
    "timestamp": "2023-05-21T13:45:12.345Z"
  }
  ```
</ResponseExample>
